Subject: Re: bug#30186: 27.0.50; Password is not hidden in read-passwd

From: martin rudalics <[email-masked]>
Date: Sat, 27 Jan 2018 09:27:46 +0100

> The problem here appears to be a fundamental design bug in Emacs: that
 > text properties are regarded as part of the buffer rather than something
 > accompanying the buffer, as overlays are.

Is that interpretation correct?  I always regard text properties part
of some text (as they are retained when copying text from one buffer
to another) and only their text part of the buffer.  And I do regard
overlays parts of their buffers.  Am I wrong?

martin